corda / net.corda.core.contracts / DummyContractV2 / State

# State

`data class State : ContractState`

### Constructors

<init> | `State(magicNumber: Int = 0, owners: List<CompositeKey>)`

### Properties

contract | `val contract: DummyContractV2` An instance of the contract class that will verify this state.
magicNumber | `val magicNumber: Int`
owners | `val owners: List<CompositeKey>`
participants | `val participants: List<CompositeKey>` A participant is any party that is able to consume this state in a valid transaction.